%define _enable_debug_packages %{nil}
%define debug_package	%{nil}

%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		lilv
Version:	0.16.0
Release:	%mkrel 5
Summary:	LV2 plugin library for applications and hosts
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.bz2
Patch0:		lilvmm.patch
URL:		http://drobilla.net/software/%{name}/
License:	ISC License (ISC)
Group:		System/Libraries

BuildRequires:	waf
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	sord-devel
BuildRequires:	pkgconfig(lv2)
BuildRequires:	sratom-devel

%description
LV2 plugin library for applications and hosts

%files -n %{name}
%doc COPYING README
%doc %{_mandir}/man1/lv2info.1.xz
%doc %{_mandir}/man1/lv2ls.1.xz
%{_bindir}/lilv-bench
%{_bindir}/lv2info
%{_bindir}/lv2ls
%{_bindir}/lv2bench
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/bash_completion.d/lilv

#-----------------------------------
%package -n %{lib_name}

Summary:	LV2 plugin library for applications and hosts
Group:		System/Libraries
Obsoletes:	%{_lib}lilv0 < 0.16.0-2

%description -n %{lib_name}
Lilv is a library to make the use of LV2 plugins as simple as possible
for applications. Lilv is the successor to SLV2, rewritten to be
significantly faster and have minimal dependencies.

%files -n %{lib_name}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}.*

#-----------------------------------
%package -n %{lib_name_devel}
Summary:	Headers for the lilv LV2 library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against lilv.

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_includedir}/%{name}-%{lib_api}/%{name}/*.hpp
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

#-----------------------------------
%prep
%setup -q
%patch0 -p2

%build
%setup_compile_flags
./waf configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--libdir=%{_libdir} \
	--configdir=%{_sysconfdir}
./waf -v

%install
./waf install --destdir=%{buildroot}


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.16.0-5.mga4
+ Revision: 535981
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 0.16.0-4.mga4
+ Revision: 482891
- add upstream patch to define UI for downstream apps

* Sun Aug 25 2013 barjac <barjac> 0.16.0-3.mga4
+ Revision: 471455
- rebuild for lv2-1.6.0

* Sat Jul 13 2013 wally <wally> 0.16.0-2.mga4
+ Revision: 453862
- fix lib pkg name
- use our build time flags
- drop unneeded requires from devel pkg

* Fri Jun 21 2013 philippedidier <philippedidier> 0.16.0-1.mga4
+ Revision: 445317
- new version 0.16.0

* Sat Jan 12 2013 umeabot <umeabot> 0.14.4-2.mga3
+ Revision: 358790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 barjac <barjac> 0.14.4-1.mga3
+ Revision: 321488
- new version
- minor spec clean
- thanks to Philippe Didier

* Wed Sep 07 2011 tv <tv> 0.4.4-1.mga2
+ Revision: 139990
- imported package lilv


* Sat Jun 25 2011 Frank Kober <emuse@mandriva.org> 0.4.4-1mdv2011.0
+ Revision: 687118
- imported package lilv

